## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iVertexLightCalculator Member List

This is the complete list of members for iVertexLightCalculator, including all inherited members.

CalculateLighting(const csLightProperties &light, size_t numvert, iRenderBuffer *vb, iRenderBuffer *nb, csColor *litColor) const =0 | iVertexLightCalculator | `[pure virtual]`
CalculateLightingAdd(const csLightProperties &light, size_t numvert, iRenderBuffer *vb, iRenderBuffer *nb, csColor *litColor) const =0 | iVertexLightCalculator | `[pure virtual]`
CalculateLightingMul(const csLightProperties &light, size_t numvert, iRenderBuffer *vb, iRenderBuffer *nb, csColor *litColor) const =0 | iVertexLightCalculator | `[pure virtual]`